Subject: Re: [mpls] poll to see if we have support to make draft-fbb-mpls-tp-p2mp-framework-06.txt an MPLS wg document

From: Lou Berger <[email-masked]>
Date: Wed, 27 Mar 2013 06:57:41 -0700

Daniele,
	We're finally getting around to updating this draft.  See below for
responses in-line.

On 1/10/2013 10:58 AM, Daniele Ceccarelli wrote:
>  Yes/Support
>  
> with some very minor comments/suggestions:
>  
> BR
> Daniele
>  
> 1 .
>    MPLS TE-LSP support is discussed in [RFC4875] and
>    [RFC5332], and PW support is being developed based on
>    [I-D.ietf-pwe3-p2mp-pw-requirements] and
>    [I-D.ietf-l2vpn-vpms-frmwk-requirements].
> I'd say that P2MP MPLS TE-LSP support is discussed...and P2MP PW support....

done!

>  
> 2.
> 
>    MPLS-TP point-to-
>    multipoint connectivity is analogous to that provided by traditional
>    transport technologies such as Optical Transport Network (OTN) point-
>    to-multipoint [ref?] and optical drop-and-continue [ref?], and thus
>    supports the same class of traditional applications.
> 
> Maybe it could be worth listing which this applications are?
> 

Adding "e.g., video distribution." Do you have any other examples you'd
like to see included?

> 3. 
>  
> 
> Per [RFC6373], the definitions of P2MP, [RFC4875], and GMPLS
>    recovery, [RFC4872] and [RFC4873], do not explicitly cover their
>    interactions.  MPLS-TP requires a formal definition of recovery
>    techniques for P2MP LSPs.  Such a formal definition will be based on
>    existing RFCs and may not require any new protocol mechanisms but,
>    nonetheless, should be documented. 
> 
> Is there any plan to document it in this ID o somewhere else? if so, where?

I don't have such a plan, nor have I heard of anyone working on this
document.  Looks like an opportunity for authorship for someone!

> RFC6372 only provides protection considerations, what about restoration?

Well this is really a comment on RFC6372.  In any case, it certainly
mentions restoration.

Much thanks!
Lou

> 
>  
> 
> On Thu, Jan 3, 2013 at 3:12 PM, Loa Andersson <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     Working group,
> 
>     This is to start a two week poll on adopting
>     draft-fbb-mpls-tp-p2mp-framework-06 as an MPLS working group document.
> 
>     Please send your comments (support/not support) to the mpls working
>     group mailing list (mpls at ietf.org <http://ietf.org>). Please give
>     an technical
>     motivation for your support/not support, especially if you think that
>     the document should not be adopted as a working group document.
> 
>     This poll ends January 17, 2013.
> 
>     There are no IPR claim against this document.
> 
>     All the active co-authors has stated on the working group mailing list
>     that they are not aware of any other IPR claims than those already
>     disclosed.
> 
>     /Loa
>     (mpls wg co-chair)
> 
>     -- 
> 
> 
>     Loa Andersson                         email:
>     [email-masked] <mailto:[email-masked]>
>     Sr Strategy and Standards Manager            [email-masked]
>     <mailto:[email-masked]>
>     Ericsson Inc                          phone: +46 10 717 52 13
>     <tel:%2B46%2010%20717%2052%2013>
>                                                  +46 767 72 92 13
>     <tel:%2B46%20767%2072%2092%2013>
>     _______________________________________________
>     mpls mailing list
>     [email-masked] <mailto:[email-masked]>
>     https://www.ietf.org/mailman/listinfo/mpls
> 
>      
> 
> 
> 
> _______________________________________________
> mpls mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls
>

---

From: Lou Berger <[email-masked]>
Date: Wed, 27 Mar 2013 07:07:29 -0700

Hi Greg,
	Thanks for the comment.  Sorry about the overdue response.

The proposed revised text to address you comment is:

      ... describes the application of linear protection to
      unidirectional P2MP entities using 1+1 and 1:1 protection
      architecture. For 1+1, the approach is for the root of the P2MP
      tree to bridge the user traffic to both the working and
      protection entities. Each sink/leaf MPLS-TP node selects the
      traffic from one entity according to some predetermined
      criteria.

      For 1:1, the source/root MPLS-TP node needs to identify the
      existence of a fault condition on any of the branches of the
      network.  Fault notification happens from the node idenifying
      the fault to the root node and from the leaves to the root via
      an out of band path...

I think this covers it.  Do you agree?

Lou

On 1/14/2013 7:35 PM, Gregory Mirsky wrote:
> Dear All,
> support
>  
> As a note/suggestion.
> 
>   * I think that the first paragraph of the Section 6 Survivability
>     might be interpreted as in 1:1 protection extra traffic on
>     protection path is not allowed. AFAIK, in 1:1 protection traffic not
>     being sent on protection paths before the defect detected and the
>     root been informed to shift traffic onto the protection path.
> 
>  
>         Regards,
>                 Greg
>  
> -----Original Message-----
> From: [email-masked] [_mailto:[email-masked]] On Behalf
> Of Loa Andersson
> Sent: Thursday, January 03, 2013 12:13 PM
> To: [email-masked]
> Cc: [email-masked];
> [email-masked]
> Subject: [mpls] poll to see if we have support to make
> draft-fbb-mpls-tp-p2mp-framework-06.txt an MPLS wg document
>  
> Working group,
>  
> group mailing list (mpls at ietf.org). Please give an technical
> Loa Andersson                         email: [email-masked]
> _https://www.ietf.org/mailman/listinfo/mpls_
>  
> 
>

---

From: Gregory Mirsky <[email-masked]>
Date: Wed, 27 Mar 2013 17:23:30 +0000

Hi Lou,
Thank you. I agree with the proposed change.

	Regards,
		Greg 

-----Original Message-----
From: Lou Berger [mailto:[email-masked]] 
Sent: Wednesday, March 27, 2013 7:07 AM
To: Gregory Mirsky
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [mpls] poll to see if we have support to make draft-fbb-mpls-tp-p2mp-framework-06.txt an MPLS wg document

Hi Greg,

Lou

---

From: Lou Berger <[email-masked]>
Date: Wed, 27 Mar 2013 10:34:00 -0700

Excellent!

Lou

On March 27, 2013 10:23:30 AM Gregory Mirsky <[email-masked]> 
wrote:
> From: Lou Berger [mailto:[email-masked]] Sent: Wednesday, March 27, 2013 
> 7:07 AM
> To: Gregory Mirsky
> Cc: [email-masked]; [email-masked]; 
> Subject: Re: [mpls] poll to see if we have support to make 
> > From: [email-masked] [_mailto:[email-masked]] On Behalf Of 
> Loa Andersson
> > Please send your comments (support/not support) to the mpls working group 
> mailing list (mpls at ietf.org). Please give an technical motivation for 
> your support/not support, especially if you think that the document should 
> not be adopted as a working group document.
> that they are not aware of any other IPR claims than those already disclosed.
> > /Loa
> > (mpls wg co-chair)
> > --
> >                                               +46 767 72 92 13 >